Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

- Main Page
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# openvrml::field_value_type_mismatch Class Reference

`#include <openvrml/node.h>`

Inherits std::logic_error.

List of all members.

## Detailed Description

Thrown when field value types do not match, generally in a `ROUTE` or `IS`.

## Public Member Functions

| field_value_type_mismatch ()
| Constructor.
virtual | ~field_value_type_mismatch () throw ()
| Destructor.

## Constructor & Destructor Documentation

openvrml::field_value_type_mismatch::field_value_type_mismatch | ( |  | ) |

Constructor.

openvrml::field_value_type_mismatch::~field_value_type_mismatch | ( |  | ) | throw ()`[virtual]`

Destructor.